cairomm: Cairo::SolidPattern Class Reference

cairomm 1.14.3

Public Member Functions | Static Public Member Functions | List of all members
Cairo::SolidPattern Class Reference

`#include <cairomm/pattern.h>`

Inheritance diagram for Cairo::SolidPattern:
[legend]

## Public Member Functions
| SolidPattern (cairo_pattern_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance. More...
void | get_rgba (double& red, double& green, double& blue, double& alpha) const
| Gets the solid color for a solid color pattern. More...
| ~SolidPattern () override
Public Member Functions inherited from Cairo::Pattern
| Pattern (cairo_pattern_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance. More...
| Pattern (const Pattern&)=delete
Pattern& | operator= (const Pattern&)=delete
virtual | ~Pattern ()
void | set_matrix (const Matrix& matrix)
| Sets the pattern's transformation matrix to @matrix. More...
void | get_matrix (Matrix& matrix) const
| Returns the pattern's transformation matrix. More...
Matrix | get_matrix () const
| Returns the pattern's transformation matrix. More...
void | set_matrix (const cairo_matrix_t& matrix)
void | get_matrix (cairo_matrix_t& matrix) const
PatternType | get_type () const
| Returns the type of the pattern. More...
void | set_extend (Extend extend)
| Sets the mode to be used for drawing outside the area of a pattern. More...
Extend | get_extend () const
| Gets the current extend mode See Cairo::Extend for details on the semantics of each extend strategy. More...
cobject* | cobj ()
const cobject* | cobj () const
void | reference () const
void | unreference () const

## Static Public Member Functions
static RefPtr< SolidPattern > | create_rgb (double red, double green, double blue)
| Creates a new Cairo::Pattern corresponding to an opaque color. More...
static RefPtr< SolidPattern > | create_rgba (double red, double green, double blue, double alpha)
| Creates a new Cairo::Pattern corresponding to a translucent color. More...

## Additional Inherited Members
Public Types inherited from Cairo::Pattern
typedef cairo_pattern_t | cobject
Protected Member Functions inherited from Cairo::Pattern
| Pattern ()
Protected Attributes inherited from Cairo::Pattern
cobject* | m_cobject

## Constructor & Destructor Documentation

## ◆ SolidPattern()

Cairo::SolidPattern::SolidPattern | ( | cairo_pattern_t * | cobject,
|  | bool | has_reference = `false`
| ) |  |
| explicit

Create a C++ wrapper for the C instance.

Parameters

  cobject | The C instance.
  has_reference | Whether we already have a reference. Otherwise, the constructor will take an extra reference.

## ◆ ~SolidPattern()

Cairo::SolidPattern::~SolidPattern | ( |  | ) |
| override

## Member Function Documentation

## ◆ create_rgb()

static RefPtr<SolidPattern> Cairo::SolidPattern::create_rgb | ( | double | red,
|  | double | green,
|  | double | blue
| ) |  |
| static

Creates a new Cairo::Pattern corresponding to an opaque color.

The color components are floating point numbers in the range 0 to 1. If the values passed in are outside that range, they will be clamped.

Parameters

  red | red component of the color
  green | green component of the color
  blue | blue component of the color

## ◆ create_rgba()

static RefPtr<SolidPattern> Cairo::SolidPattern::create_rgba | ( | double | red,
|  | double | green,
|  | double | blue,
|  | double | alpha
| ) |  |
| static

Creates a new Cairo::Pattern corresponding to a translucent color.

The color components are floating point numbers in the range 0 to 1. If the values passed in are outside that range, they will be clamped.

Parameters

  red | red component of the color
  green | green component of the color
  blue | blue component of the color
  alpha | alpha component of the color

## ◆ get_rgba()

void Cairo::SolidPattern::get_rgba | ( | double & | red,
|  | double & | green,
|  | double & | blue,
|  | double & | alpha
| ) |  | const

Gets the solid color for a solid color pattern.

Parameters

  red | return value for red component of color
  green | return value for green component of color
  blue | return value for blue component of color
  alpha | return value for alpha component of color

Since
  1.4

The documentation for this class was generated from the following file:

- cairomm/pattern.h